org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface EFacetPackage.Literals

Enclosing interface:
  EFacetPackage

    public static interface EFacetPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `CATEGORY` The meta object literal for the '`Category`' class.
`static EClass` `DERIVED_TYPED_ELEMENT` The meta object literal for the '`Derived Typed Element`' class.
`static EReference` `DERIVED_TYPED_ELEMENT__OVERRIDE` The meta object literal for the 'Override' reference feature.
`static EReference` `DERIVED_TYPED_ELEMENT__QUERY` The meta object literal for the 'Query' containment reference feature.
`static EClass` `DOCUMENTED_ELEMENT` The meta object literal for the '`Documented Element`' class.
`static EAttribute` `DOCUMENTED_ELEMENT__DOCUMENTATION` The meta object literal for the 'Documentation' attribute feature.
`static EClass` `FACET` The meta object literal for the '`Facet`' class.
`static EReference` `FACET__CONFORMANCE_TYPED_ELEMENT` The meta object literal for the 'Conformance Typed Element' reference feature.
`static EReference` `FACET__EXTENDED_FACETS` The meta object literal for the 'Extended Facets' reference list feature.
`static EReference` `FACET__EXTENDED_METACLASS` The meta object literal for the 'Extended Metaclass' reference feature.
`static EReference` `FACET__FACET_ELEMENTS` The meta object literal for the 'Facet Elements' containment reference list feature.
`static EReference` `FACET__FACET_OPERATIONS` The meta object literal for the 'Facet Operations' containment reference list feature.
`static EClass` `FACET_ATTRIBUTE` The meta object literal for the '`Facet Attribute`' class.
`static EClass` `FACET_ELEMENT` The meta object literal for the '`Facet Element`' class.
`static EReference` `FACET_ELEMENT__CATEGORIES` The meta object literal for the 'Categories' reference list feature.
`static EClass` `FACET_OPERATION` The meta object literal for the '`Facet Operation`' class.
`static EClass` `FACET_REFERENCE` The meta object literal for the '`Facet Reference`' class.
`static EReference` `FACET_REFERENCE__FOPPOSITE` The meta object literal for the 'FOpposite' reference feature.
`static EClass` `FACET_SET` The meta object literal for the '`Facet Set`' class.
`static EReference` `FACET_SET__CATEGORIES` The meta object literal for the 'Categories' containment reference list feature.
`static EClass` `PARAMETER_VALUE` The meta object literal for the '`Parameter Value`' class.
`static EReference` `PARAMETER_VALUE__PARAMETER` The meta object literal for the 'Parameter' reference feature.
`static EAttribute` `PARAMETER_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
`static EDataType` `RESOURCE` The meta object literal for the 'Resource' data type.

### Field Detail

#### FACET_ATTRIBUTE

    static final EClass FACET_ATTRIBUTE

The meta object literal for the '`Facet Attribute`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetAttributeImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetAttribute()`
Generated:

#### FACET_REFERENCE

    static final EClass FACET_REFERENCE

The meta object literal for the '`Facet Reference`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetReferenceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetReference()`
Generated:

#### FACET_REFERENCE__FOPPOSITE

    static final EReference FACET_REFERENCE__FOPPOSITE

The meta object literal for the 'FOpposite' reference feature.

Since:
  1.0
Generated:

#### FACET_OPERATION

    static final EClass FACET_OPERATION

The meta object literal for the '`Facet Operation`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetOperationImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetOperation()`
Generated:

#### FACET_SET

    static final EClass FACET_SET

The meta object literal for the '`Facet Set`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetSetImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetSet()`
Generated:

#### FACET_SET__CATEGORIES

    static final EReference FACET_SET__CATEGORIES

The meta object literal for the 'Categories' containment reference list feature.

Generated:

#### FACET

    static final EClass FACET

The meta object literal for the '`Facet`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacet()`
Generated:

#### FACET__EXTENDED_METACLASS

    static final EReference FACET__EXTENDED_METACLASS

The meta object literal for the 'Extended Metaclass' reference feature.

Generated:

#### FACET__FACET_ELEMENTS

    static final EReference FACET__FACET_ELEMENTS

The meta object literal for the 'Facet Elements' containment reference list feature.

Generated:

#### FACET__FACET_OPERATIONS

    static final EReference FACET__FACET_OPERATIONS

The meta object literal for the 'Facet Operations' containment reference list feature.

Generated:

#### FACET__CONFORMANCE_TYPED_ELEMENT

    static final EReference FACET__CONFORMANCE_TYPED_ELEMENT

The meta object literal for the 'Conformance Typed Element' reference feature.

Generated:

#### FACET__EXTENDED_FACETS

    static final EReference FACET__EXTENDED_FACETS

The meta object literal for the 'Extended Facets' reference list feature.

Since:
  0.2
Generated:

#### CATEGORY

    static final EClass CATEGORY

The meta object literal for the '`Category`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.CategoryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getCategory()`
Generated:

#### FACET_ELEMENT

    static final EClass FACET_ELEMENT

The meta object literal for the '`Facet Element`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.FacetElementImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getFacetElement()`
Generated:

#### FACET_ELEMENT__CATEGORIES

    static final EReference FACET_ELEMENT__CATEGORIES

The meta object literal for the 'Categories' reference list feature.

Generated:

#### DERIVED_TYPED_ELEMENT

    static final EClass DERIVED_TYPED_ELEMENT

The meta object literal for the '`Derived Typed Element`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.DerivedTypedElementImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getDerivedTypedElement()`
Generated:

#### DERIVED_TYPED_ELEMENT__QUERY

    static final EReference DERIVED_TYPED_ELEMENT__QUERY

The meta object literal for the 'Query' containment reference feature.

Generated:

#### DERIVED_TYPED_ELEMENT__OVERRIDE

    static final EReference DERIVED_TYPED_ELEMENT__OVERRIDE

The meta object literal for the 'Override' reference feature.

Generated:

#### PARAMETER_VALUE

    static final EClass PARAMETER_VALUE

The meta object literal for the '`Parameter Value`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.ParameterValueImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getParameterValue()`
Generated:

#### PARAMETER_VALUE__PARAMETER

    static final EReference PARAMETER_VALUE__PARAMETER

The meta object literal for the 'Parameter' reference feature.

Generated:

#### PARAMETER_VALUE__VALUE

    static final EAttribute PARAMETER_VALUE__VALUE

The meta object literal for the 'Value' attribute feature.

Generated:

#### DOCUMENTED_ELEMENT

    static final EClass DOCUMENTED_ELEMENT

The meta object literal for the '`Documented Element`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.DocumentedElementImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getDocumentedElement()`
Generated:

#### DOCUMENTED_ELEMENT__DOCUMENTATION

    static final EAttribute DOCUMENTED_ELEMENT__DOCUMENTATION

The meta object literal for the 'Documentation' attribute feature.

Generated:

#### RESOURCE

    static final EDataType RESOURCE

The meta object literal for the 'Resource' data type.

See Also:
  `org.eclipse.emf.ecore.resource.Resource`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.impl.EFacetPackageImpl#getResource()`
Generated: